# Created by pyp2rpm-3.3.8
%global pypi_name policyd-rate-limit
%global pypi_version 1.0.1.2

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        2%{?dist}
Summary:        Postfix rate limit policy server implemented in Python3

License:        GPLv3
URL:            https://github.com/nitmir/policyd-rate-limit
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pyyaml) >= 3.11
BuildRequires:  python3dist(setuptools)

%description
Postfix policyd server allowing to limit the number of mails accepted
by postfix over several time periods, by sasl usernames and/or ip addresses.
Installation First, create the user that will run the daemon:: adduser --system
--group --home /run/policyd-rate-limit --no-create-home policyd-rate-limitSince
version...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(pyyaml) >= 3.11
%description -n python3-%{pypi_name}
Policyd rate limit |travis| |coverage| |github_version| |pypi_version|
|license|Postfix policyd server allowing to limit the number of mails accepted
by postfix over several time periods, by sasl usernames and/or ip addresses.
Installation First, create the user that will run the daemon:: adduser --system
--group --home /run/policyd-rate-limit --no-create-home policyd-rate-limitSince
version...


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

# fix wrong path for example config
mkdir -p %{buildroot}/%{_datadir}/%{name}
mv %{buildroot}/%{getenv:HOME}/.config/policyd-rate-limit.yaml %{buildroot}/%{_datadir}/%{name}/

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{_bindir}/policyd-rate-limit
%{python3_sitelib}/policyd_rate_limit
%{python3_sitelib}/policyd_rate_limit-%{pypi_version}-py%{python3_version}.egg-info
%{_datadir}/%{name}/policyd-rate-limit.yaml
%exclude /home

%changelog

* Wed Jun 14 2023 mockbuilder - 1.0.1.2-1
- Initial package.

* Wed Jun 14 2023 Daniele Branchini <dbranchini@arpae.it> - 1.0.1.2-2
- Spostato yaml, rimossa dir inesistente in files

